//-----------Left List-----------
function main_DownloadDataLog_click(that)
{
	that.style.pointerEvents = "none";
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1);
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/DownloadDataLog/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/DownloadDataLog/html/FirstPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new DownLoadDataLog();
	Class.ShowDataLogFileList();
	Class = null;
}
function main_DownloadDataLogGoToNextPath_click(that)
{
	$(".Body").css('pointer-events', "none");
	var Class = new DownLoadDataLog();
	Class.GoToNextPath(that);
	Class = null;
}
function main_DownloadDataLogPreviousPage_click(that)
{
	var Class = new DownLoadDataLog();
	Class.PreviousPage(that);
	Class = null;
}
function main_DownloadDataLogButton_click(that)
{
	var Class = new DownLoadDataLog();
	Class.DownloadDateLogFile(that);
	Class = null;
}
function main_DataLogDownLoadShowPreviousPage_click(that)
{
	var Class = new DownLoadDataLog();
	Class.ShowPreviousPage(that);
	Class = null;
}
function main_DataLogDownLoadShowNextPage_click(that)
{
	var Class = new DownLoadDataLog();
	Class.ShowNextPage(that);
	Class = null;
}
function main_DataLogDownLoadFirstPage_click(Event)
{
	$(".Body").css('pointer-events', "none");
	$(".PathButton").eq(1).val("");
	var Class = new DownLoadDataLog();
	Class.ShowDataLogFileList();
	Class = null;
}
function main_DataLogDownLoadSecondPage_click(Event)
{
	$(".Body").css('pointer-events', "none");
	var Class = new DownLoadDataLog();
	Class.ShowDataLogFileList();
	Class = null;
}